Package gui.menu

# Class StateMachine

java.lang.Object
gui.menu.StateMachine

public class StateMachine extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StateMachine()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `clear()`
  `void`
  `overrideState(BaseView menu)`
  `void`
  `popState()`
  `void`
  `pushState(BaseView menu)`
  `void`
  `render()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StateMachine

    public StateMachine()

- ## Method Details

  - ### clear

    public void clear()

  - ### pushState

    public void pushState(BaseView menu)

  - ### overrideState

    public void overrideState(BaseView menu)

  - ### popState

    public void popState()

  - ### render

    public void render()